<?php
define('RENAX_THEME_PATH', get_template_directory());
define('RENAX_THEME_URL', get_template_directory_uri());
define('RENAX_THEME_VERSION', '1.2.2');
// Enqueue Style
require(RENAX_THEME_PATH . '/includes/style.php');
require(RENAX_THEME_PATH . '/includes/js.php');
require(RENAX_THEME_PATH . '/includes/color.php');
require(RENAX_THEME_PATH . '/includes/AfterSetupTheme.php');
require(RENAX_THEME_PATH . '/includes/functions.php');
require(RENAX_THEME_PATH . '/pagination.php');
require(RENAX_THEME_PATH . '/includes/ini/renax-base.php');
require (RENAX_THEME_PATH . '/includes/ini/renax-tags.php');
if ( ! isset( $content_width ) ) $content_width = 900;	

$renax_options = get_option('renax');

// register nav menu
function renax_register_menus() {
	register_nav_menus( array( 
		'top-menu' => esc_html__( 'Primary menu','renax' ),
		'main-menu' => esc_html__('One Page Menu (Sub menu item not allowed.)','renax'),
	)
	);
}

add_action( 'after_setup_theme', 'renax_setup' );

function renax_setup() {
	// Add support for Block Styles.
	add_theme_support( 'wp-block-styles' );

	// Add support for full and wide align images.
	add_theme_support( 'align-wide' );

	// Add support for editor styles.
	add_theme_support( 'editor-styles' );
	// Enqueue editor styles.
	add_editor_style( 'style-editor.css' );
	
	// Add custom editor font sizes.
	add_theme_support(
			'editor-font-sizes',
			array(
				array(
					'name'      => esc_html__( 'Small', 'renax' ),
					'shortName' => esc_html__( 'S', 'renax' ),
					'size'      => 11,
					'slug'      => 'small',
				),
				array(
					'name'      => esc_html__( 'Normal', 'renax' ),
					'shortName' => esc_html__( 'M', 'renax' ),
					'size'      => 12,
					'slug'      => 'normal',
				),
				array(
					'name'      => esc_html__( 'Large', 'renax' ),
					'shortName' => esc_html__( 'L', 'renax' ),
					'size'      => 36,
					'slug'      => 'large',
				),
				array(
					'name'      => esc_html__( 'Huge', 'renax' ),
					'shortName' => esc_html__( 'XL', 'renax' ),
					'size'      => 49,
					'slug'      => 'huge',
				),
			)
		);
	
	add_theme_support( 'editor-color-palette', array(
        array(
            'name' => esc_html__( 'Lightning Yellow', 'renax' ),
            'slug' => 'lightning-yellow',
            'color' => '#F9BF26',
        ),
        array(
            'name' => esc_html__( 'Black', 'renax' ),
            'slug' => 'color-black',
            'color' => '#000',
        ),
        
    ) );
	// Add support for responsive embedded content.
	add_theme_support( 'responsive-embeds' );
	
	add_action( 'after_setup_theme', 'renax_lang_setup' );
	function renax_lang_setup(){
    load_theme_textdomain('renax', get_template_directory() . '/languages');
    }
	add_theme_support( 'automatic-feed-links' );
	remove_theme_support( 'widgets-block-editor' );
	add_theme_support( "title-tag" );
	add_post_type_support( 'portgallery', 'post-formats' );
}
// Word Limit 
	function renax_string_limit_words($string, $word_limit)
	{
	$words = explode(' ', $string, ($word_limit + 1));
	if(count($words) > $word_limit)
	array_pop($words);
	return implode(' ', $words);
	}
// Add post thumbnail functionality
	add_theme_support( 'post-thumbnails' );
	set_post_thumbnail_size( 559, 220, true ); // Normal post thumbnails
	add_image_size( 'renax_tour_grid', 350, 233, true ); // tour Thumbnail
	add_image_size( 'renax_tour_grid_v', 730, 496, true ); // tour Thumbnail
//comment	
function renax_move_comment_field_to_bottom( $fields ) {
$comment_field = $fields['comment'];
unset( $fields['comment'] );
$fields['comment'] = $comment_field;
return $fields;
}
 
add_filter( 'comment_form_fields', 'renax_move_comment_field_to_bottom' );

// How comments are displayed
function renax_comment($comment, $args, $depth) {
    $GLOBALS['comment'] = $comment;
    extract($args, EXTR_SKIP);
if ( 'div' == $args['style'] ) {
      $tag = 'div';
      $add_below = 'comment';
    } else {
      $tag = 'li';
      $add_below = 'div-comment';
    }
?>
    <<?php echo esc_attr($tag); ?> <?php comment_class(empty( $args['has_children'] ) ? '' : 'parent') ?>>
    <?php if ( 'div' != $args['style'] ) : ?>
	<?php endif; ?>
	<div id="div-comment-<?php comment_ID() ?>" class="comment-body wrap">
		<div class="user"> <?php if ($args['avatar_size'] != 0) echo get_avatar( $comment, '80', '', '', array('class' => 'tt-comment-avatar') ); ?> </div>
        <div class="cont">
			<h6><?php printf(__('%s','renax'), get_comment_author_link()) ?> &nbsp;&nbsp;<span><?php comment_date(get_option( 'date_format')); ?></span></h6>
			<div class="clear"></div>
			<?php comment_text() ?>
			<div class="clear"></div>
			<div class="replys"> <?php comment_reply_link(array_merge( $args, array('add_below' => $add_below, 'depth' => $depth, 'max_depth' => $args['max_depth']))) ?></div>
			<?php if ($comment->comment_approved == '0') : ?>
			<br>
			<em class="comment-awaiting-moderation"><?php esc_html_e('Your comment is awaiting moderation.','renax') ?></em>
			<br>
			<?php endif; ?>  
        </div>
	</div>
<?php if ( 'div' != $args['style'] ) : ?>
	<?php endif; ?>
<?php
}
// create sidebar & widget area
if(function_exists('register_sidebar')) {
function renax_theme_slug_widgets_init() {
    register_sidebar( array(
        'name' => esc_html__( 'Blog Widgets Area', 'renax' ),
        'id' => 'sidebar-1',
        'description' => esc_html__( 'This area for blog widgets area.', 'renax' ),
        'before_widget' => '<div id="%1$s" class="widget sidebar-widget %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<div class="widget-title"><h6>', 
		'after_title'   => '</h6></div>'
    ) );
}
add_action( 'widgets_init', 'renax_theme_slug_widgets_init' );

function renax_theme_page_widgets_init() {
    register_sidebar( array(
        'name' => esc_html__( 'Page Widgets Area', 'renax' ),
        'id' => 'sidebar-2',
        'description' => esc_html__( 'This area for page widgets area.', 'renax' ),
        'before_widget' => '<div id="%1$s" class="widget sidebar-widget %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<div class="widget-title"><h6>', 
		'after_title'   => '</h6></div>'
    ) );
}
add_action( 'widgets_init', 'renax_theme_page_widgets_init' );

function renax_theme_portfolio_widgets_init() {
    register_sidebar( array(
        'name' => esc_html__( 'Car Widgets Area', 'renax' ),
        'id' => 'sidebar-3',
        'description' => esc_html__( 'This area for Car details page widgets area.', 'renax' ),
        'before_widget' => '<div id="%1$s" class="widget sidebar-widget %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<div class="widget-title"><h6>', 
		'after_title'   => '</h6></div>'
    ) );
}
add_action( 'widgets_init', 'renax_theme_portfolio_widgets_init' );

function renax_footer_widgets_init() {
if (Renax_AfterSetupTheme::return_thme_option('en_footer_column_opt')=='st2'){   
   register_sidebar( array(
        'name' => esc_html__( 'Footer Widgets Area', 'renax' ),
        'id' => 'sidebar-4',
        'description' => esc_html__( 'This area for Footer widgets area.', 'renax' ),
        'before_widget' => '<div class="col-md-3 widget-area "><div class="footer-column"><div id="%1$s" class="widget footer-widget-area clearfix %2$s">',
		'after_widget'  => '</div></div></div>', 
		'before_title'  => '<h3 class="widget-title">', 
		'after_title'   => '</h3>'
    ) );
} else { 
	register_sidebar( array(
        'name' => esc_html__( 'Footer Widgets Area', 'renax' ),
        'id' => 'sidebar-4',
        'description' => esc_html__( 'This area for Footer widgets area.', 'renax' ),
        'before_widget' => '<div class="col-md-4 widget-area "><div class="footer-column"><div id="%1$s" class="widget footer-widget-area clearfix %2$s">',
		'after_widget'  => '</div></div></div>', 
		'before_title'  => '<h3 class="widget-title">', 
		'after_title'   => '</h3>'
    ) );
}
}	
add_action( 'widgets_init', 'renax_footer_widgets_init' );
if (class_exists('WooCommerce')) {
function renax_woo_widgets_init() {
    register_sidebar( array(
        'name' => esc_html__( 'WooCommerce Sidebar', 'renax' ),
        'id' => 'sidebar-5',
        'description' => esc_html__( 'Add widgets here to appear in your sidebar on WooCommerce Product Pages.', 'renax' ),
        'before_widget' => '<div id="%1$s" class="widget sidebar-widget %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<div class="widget-title"><h6>', 
		'after_title'   => '</h6></div>'
    ) );
}
add_action( 'widgets_init', 'renax_woo_widgets_init' );
function renax_woo_cart_widgets_init() {
    register_sidebar( array(
        'name' => esc_html__( 'Product Details Sidebar', 'renax' ),
        'id' => 'sidebar-6',
        'description' => esc_html__( 'Add widgets here to appear in your sidebar on WooCommerce Product Details Pages.', 'renax' ),
        'before_widget' => '<div id="%1$s" class="widget sidebar-widget %2$s">',
		'after_widget'  => '</div>', 
		'before_title'  => '<div class="widget-title"><h6>', 
		'after_title'   => '</h6></div>'
    ) );
}
add_action( 'widgets_init', 'renax_woo_cart_widgets_init' );
}
}
function renax_search_form( $form ) {
	
    $renax_form = '<div class="search clear"><form role="search" method="get" id="searchform" class="searh-inner fl-wrap" action="' . esc_url(home_url( '/' )) . '" >
    <input type="text"  name="s" id="s" class="tt-form-control" placeholder="' . esc_attr__( 'Type here ...','renax' ) . '" />
   <button type="submit"><i class="ti-search" aria-hidden="true"></i></button>
   </form></div>';
 
    return $renax_form;
}
add_filter( 'get_search_form', 'renax_search_form' );
if (is_admin() && isset($_GET['activated'])){
	wp_redirect(admin_url("themes.php?page=renax"));
}
function renax_excerpt_more( $more ) {
    return '...';
}

add_filter('excerpt_more', 'renax_excerpt_more');
function renax_excerpt_length( $length ) {
    return 44;
}
add_filter( 'excerpt_length', 'renax_excerpt_length', 999 );

add_filter( 'run_wptexturize', '__return_false' );

/*removing default submit tag*/
remove_action('wpcf7_init', 'wpcf7_add_form_tag_submit');
/*adding action with function which handles our button markup*/
add_action('wpcf7_init', 'renax_child_cf7_button');
/*adding out submit button tag*/
if (!function_exists('renax_child_cf7_button')) {
	function renax_child_cf7_button() {
		wpcf7_add_form_tag('submit', 'renax_child_cf7_button_handler');
	}
}

/*out button markup inside handler*/
if (!function_exists('renax_child_cf7_button_handler')) {
	function renax_child_cf7_button_handler($tag) {
		$tag = new WPCF7_FormTag($tag);
		$class = wpcf7_form_controls_class($tag->type);
		$atts = array();
		$atts['class'] = $tag->get_class_option($class);
		$atts['class'] .= ' renax-child-custom-btn';
		$atts['id'] = $tag->get_id_option();
		$atts['tabindex'] = $tag->get_option('tabindex', 'int', true);
		$value = isset($tag->values[0]) ? $tag->values[0] : '';
		if (empty($value)) {
		$value = esc_html__('Send', 'renax');
		}
		$atts['type'] = 'submit';
		$atts = wpcf7_format_atts($atts);
		$html = sprintf('<div class="wpcf7-form-control has-spinner wpcf7-submit"><button class="booking-button mt-15 cursor-pointer">%2$s</button></div>', $atts, $value);
		return $html;
	}
}