<?php
$renax_options = get_option('renax');
/* CHECK WOOCOMMERCE IS ACTIVE
  ================================================== */ 
if ( ! function_exists( 'renax_woocommerce_activated' ) ) {
    function renax_woocommerce_activated() {
      if ( class_exists( 'woocommerce' ) ) {
        return true;
      } else {
        return false;
      }
    }
}
add_theme_support( 'woocommerce' );
remove_action( 'woocommerce_before_main_content', 'woocommerce_breadcrumb', 20, 0 );
remove_action( 'woocommerce_sidebar', 'woocommerce_get_sidebar', 10 );
remove_action('woocommerce_after_shop_loop', 'woocommerce_pagination', 10);
function renax_woocommerce_pagination() {
	renax_pagination(); 		
}
add_action( 'woocommerce_after_shop_loop', 'renax_woocommerce_pagination', 10);
remove_action('woocommerce_before_shop_loop_item', 'woocommerce_template_loop_product_link_open', 10);
remove_action('woocommerce_after_shop_loop_item', 'woocommerce_template_loop_product_link_close', 5);
remove_action('woocommerce_shop_loop_item_title', 'woocommerce_template_loop_product_title', 10);
// Change add to cart text on product archives page
add_filter( 'woocommerce_product_add_to_cart_text', 'woocommerce_add_to_cart_button_text_archives' );  
function woocommerce_add_to_cart_button_text_archives() {
    if(!empty(Renax_AfterSetupTheme::return_thme_option('cart_placeholder_button_shop_txt',''))) {
			return esc_html(Renax_AfterSetupTheme::return_thme_option('cart_placeholder_button_shop_txt',''));
		} 
		else {
			return __( 'Book', 'renax' );
	}
}
/**
 * Change number of related products output
 */ 
function woo_related_products_limit() {
  global $product;
	
	$args['posts_per_page'] = 6;
	return $args;
}
add_filter( 'woocommerce_output_related_products_args', 'renax_related_products_args', 20 );
  function renax_related_products_args( $args ) {
	$args['posts_per_page'] = 3; // 3 related products
	$args['columns'] = 3; // arranged in 1 columns
	return $args;
}
add_filter( 'easy_booking_select_dates_text', 'easy_booking_custom_select_dates_text', 10, 2 );

function easy_booking_custom_select_dates_text( $text, $product ) {
    if(!empty(Renax_AfterSetupTheme::return_thme_option('cart_placeholder_button_shop_txt',''))) {
		return esc_html(Renax_AfterSetupTheme::return_thme_option('cart_placeholder_button_shop_txt',''));
	} 
	else {
		return __( 'Book', 'renax' );
	}
}
add_filter( 'easy_booking_start_text', 'renax_custom_start_text', 10, 2 );

function renax_custom_start_text( $text, $product = false ) {

    // You have access to the $product variable (not everywhere) in case you want to display a different text for some products
    $text = esc_html__( 'Pick Up Date', 'renax' );
    return $text;
}

add_filter( 'easy_booking_end_text', 'renax_custom_end_text', 10, 2 );

function renax_custom_end_text( $text, $product = false ) {

    // You have access to the $product variable (not everywhere) in case you want to display a different text for some products
    $text = esc_html__( 'Return Date', 'renax' );
    return $text;
}
//custom cart to el
add_action('renax_woocommerce_single_product_price', 'woocommerce_template_single_price', 10);
add_action('renax_woocommerce_single_product_summary', 'woocommerce_template_single_add_to_cart', 20);