<?php 
/**
 * preloader
 */
if ( ! function_exists( 'renax_preloader' ) ) :
function renax_preloader() { 
if (Renax_AfterSetupTheme::return_thme_option('site_preloader')!='st2'){
?>
<?php if (Renax_AfterSetupTheme::return_thme_option('opt_preloader_style')=='st2'){ ?>
<div class="preloader-bg"></div>
<div id="preloader">
    <div class="preloader__progress">
        <img src="<?php echo esc_url(Renax_AfterSetupTheme::return_thme_option('preloader_logopic','url'));?>" class="ptr-prel-image preloader__img" alt="<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('preloader_logopic','title'));?>"> 
		<div class="preloader__pulse"></div>
	</div>
    </div>
</div>
<?php } else { ?>
<div class="preloader-bg"></div>
<div id="preloader">
    <div id="preloader-status">
        <div class="preloader-position loader"> <span></span> </div>
    </div>
</div>
<?php } ;?>
<?php 
}
}
endif;
/**
 * custom_cursor
 */
if ( ! function_exists( 'renax_custom_cursor' ) ) :
function renax_custom_cursor() { 
$renax_options = get_option('renax');
?>
<?php if (Renax_AfterSetupTheme::return_thme_option('custom_cursor_opt')=='st2'){ ?>
<!-- cursor-->
<div class="cursor js-cursor"></div>
<!-- cursor end-->
<?php 
wp_enqueue_style('renax-custom-cursor');
wp_enqueue_script('renax-tweenmax');
wp_enqueue_script('renax-custom-cursor');
} ;?>
<?php 
}
endif;
/**
 * footer text
 */
if ( ! function_exists( 'renax_footer_text' ) ) :
function renax_footer_text() { 
?>
<div class="bottom-footer-text">
    <div class="row copyright">
        <div class="col-md-12">
            <p class="mb-0"><?php $renax_copy = Renax_AfterSetupTheme::return_thme_option('copyright');
			echo do_shortcode($renax_copy);
			?></p>
        </div>
    </div>
</div>
<?php 
}
endif;
/**
 * menu Logo
 */
if ( ! function_exists( 'renax_logo' ) ) :
function renax_logo() { 
$renax_options = get_option('renax');
?>
<div class="logo-wrapper">
	<?php if (Renax_AfterSetupTheme::return_thme_option('textlogo')=='st2'){ ?>
	<a class="logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('logopic_dark','url')) ) { ?>data-mobile-logo="<?php echo esc_url(Renax_AfterSetupTheme::return_thme_option('logopic_dark','url'));?>" <?php } else { ?> data-mobile-logo="<?php echo esc_url(Renax_AfterSetupTheme::return_thme_option('logopic','url'));?>" <?php } ;?> data-sticky-logo="<?php echo esc_url(Renax_AfterSetupTheme::return_thme_option('logopic','url'));?>"> 
	<img src="<?php echo esc_url(Renax_AfterSetupTheme::return_thme_option('logopic','url'));?>" class="logo-img" alt="<?php bloginfo('name'); ?>"> 
	</a>
	<?php } else { ?>
	<a class="logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
	<h2>	
	<?php if(!empty($patara_options['logo_text_title'])) {?>
		<?php echo do_shortcode(Renax_AfterSetupTheme::return_thme_option('logo_text_title',''));?>
	<?php } 
	else { ?>
		<?php bloginfo('name'); ?>	
	<?php };?>
	</h2>	
	</a>
	<?php } ;?>
</div>
<?php 
}
endif;

/**
 * social icons
 */
if ( ! function_exists( 'renax_footer_social_icons' ) ) :
function renax_footer_social_icons() { 
$renax_options = get_option('renax');
?>
	<?php if(!empty($renax_options['facebook'])):?>
		<li><a class="magnetic-item" target="_blank" rel="noopener" href="<?php echo esc_url($renax_options['facebook']);?>"><i class="ti-facebook"></i></a></li>
	<?php endif;?>
						
	<?php if(!empty($renax_options['twitter'])):?>
		<li><a class="magnetic-item" target="_blank" rel="noopener" href="<?php echo esc_url($renax_options['twitter']);?>"><i class="fab fa-x-twitter"></i></a></li>
	<?php endif;?>
						
	<?php if(!empty($renax_options['pinterest'])):?>
		<li><a class="magnetic-item" target="_blank" rel="noopener" href="<?php echo esc_url($renax_options['pinterest']);?>"><i class="ti-pinterest"></i></a></li>
	<?php endif;?>
	
	<?php if(!empty($renax_options['tiktok'])):?>
		<li><a class="magnetic-item" target="_blank" rel="noopener" href="<?php echo esc_url($renax_options['tiktok']);?>"><i class="fab fa-tiktok"></i></a></li>
	<?php endif;?>
						
	<?php if(!empty($renax_options['dribbble'])):?>
		<li><a class="magnetic-item" target="_blank" rel="noopener" href="<?php echo esc_url($renax_options['dribbble']);?>"><i class="ti-dribbble"></i></a></li>
	<?php endif;?>
						
	<?php if(!empty($renax_options['linkedin'])):?>
		<li><a class="magnetic-item" target="_blank" rel="noopener" href="<?php echo esc_url($renax_options['linkedin']);?>"><i class="ti-linkedin"></i></a></li>
	<?php endif;?>
						
	<?php if(!empty($renax_options['youtube'])):?>
		<li><a class="magnetic-item" target="_blank" rel="noopener" href="<?php echo esc_url($renax_options['youtube']);?>"><i class="ti-youtube"></i></a></li>
	<?php endif;?>
						
	<?php if(!empty($renax_options['vimeo'])):?>
		<li><a class="magnetic-item" target="_blank" rel="noopener" href="<?php echo esc_url($renax_options['vimeo']);?>"><i class="ti-vimeo"></i></a></li>
	<?php endif;?>
						
	<?php if(!empty($renax_options['slack'])):?>
		<li><a class="magnetic-item" target="_blank" rel="noopener" href="<?php echo esc_url($renax_options['slack']);?>"><i class="ti-slack"></i></a></li>
	<?php endif;?>
						
	<?php if(!empty($renax_options['instagram'])):?>
		<li><a class="magnetic-item" target="_blank" rel="noopener" href="<?php echo esc_url($renax_options['instagram']);?>"><i class="fab fa-instagram"></i></a></li>
	<?php endif;?>
						
	<?php if(!empty($renax_options['tumblr'])):?>
		<li><a class="magnetic-item" target="_blank" rel="noopener" href="<?php echo esc_url($renax_options['tumblr']);?>"><i class="ti-tumblr"></i></a></li>
	<?php endif;?>
	<?php
	$renax_more_social = Renax_AfterSetupTheme::return_thme_option('opt_add_more_social','');
	if ( ! empty( $renax_more_social ) ) {
	foreach ( $renax_more_social as $renax_more_socials ) { ;?>
		<?php echo do_shortcode($renax_more_socials);?>
	<?php } } ;?>
<?php 
}
endif;

/**
 * social icons
 */
if ( ! function_exists( 'renax_index_title_tag' ) ) :
function renax_index_title_tag() { 
$renax_options = get_option('renax');
?>
<?php 
//title tag
global $renax_title_tag;
if (Renax_AfterSetupTheme::return_thme_option('index_title_tag_opt')=='st2'){ 
	$renax_title_tag ='h2';
} 
else if (Renax_AfterSetupTheme::return_thme_option('index_title_tag_opt')=='st3'){ 
	$renax_title_tag ='h3';												
}
else if (Renax_AfterSetupTheme::return_thme_option('index_title_tag_opt')=='st4'){ 
	$renax_title_tag ='h4';												
}
else if (Renax_AfterSetupTheme::return_thme_option('index_title_tag_opt')=='st5'){ 
	$renax_title_tag ='h5';												
}
else if (Renax_AfterSetupTheme::return_thme_option('index_title_tag_opt')=='st6'){ 
	$renax_title_tag ='h6';												
}
else {
	$renax_title_tag ='h1';
};
echo esc_attr($renax_title_tag);
?>	
<?php 
}
endif;

/**
 * social icons
 */
if ( ! function_exists( 'renax_index_subtitle_tag' ) ) :
function renax_index_subtitle_tag() { 
$renax_options = get_option('renax');
?>
<?php 
//title tag
global $renax_sub_title_tag;
if (Renax_AfterSetupTheme::return_thme_option('index_subtitle_tag_opt')=='st2'){ 
	$renax_sub_title_tag ='h2';
} 
else if (Renax_AfterSetupTheme::return_thme_option('index_subtitle_tag_opt')=='st3'){ 
	$renax_sub_title_tag ='h3';												
}
else if (Renax_AfterSetupTheme::return_thme_option('index_subtitle_tag_opt')=='st4'){ 
	$renax_sub_title_tag ='h4';												
}
else if (Renax_AfterSetupTheme::return_thme_option('index_subtitle_tag_opt')=='st5'){ 
	$renax_sub_title_tag ='h5';												
}
else if (Renax_AfterSetupTheme::return_thme_option('index_subtitle_tag_opt')=='st6'){ 
	$renax_sub_title_tag ='h6';												
}
else {
	$renax_sub_title_tag ='h1';
};
echo esc_attr($renax_sub_title_tag);
?>	
<?php 
}
endif;
/**
 * car search form
 */
if ( ! function_exists( 'renax_car_search' ) ) {
function renax_car_search() { 
$renax_options = get_option('renax');
?>
<?php
$renax_car_category = get_terms( array(
	'taxonomy'          => 'car_category',
	'hide_empty'        => true,
	) );
$renax_car_pickup_location = get_terms( array(
	'taxonomy'          => 'car_pickup_location',
	'hide_empty'        => true,
	) );
$renax_car_dropoff_location = get_terms( array(
	'taxonomy'          => 'car_dropoff_location',
	'hide_empty'        => true,
	) );
?>
<!-- car Search -->
<div class="booking-box">
    <div class="booking-inner clearfix">
        <form role="search" action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get" class="form1 clearfix">
			<div class="row">
                <?php if( !empty($renax_car_category) ) { ?>
				<div class="col-md-12">
					<input type="hidden" name="s" value="" />
                    <div class="select1_wrapper">
                        <label><?php esc_html_e('Choose Car Type','renax');?></label>
                        <div class="select1_inner">
                            <select class="select2 select" name="car_category_ids" style="width: 100%">
                                <option value="0"><?php esc_html_e('Choose Car Type','renax');?></option>
                                <?php foreach($renax_car_category as &$renax_car_categorys) { ?>
                                 <option value="<?php echo esc_attr($renax_car_categorys->term_id); ?>"><?php echo esc_html($renax_car_categorys->name); ?></option>
								<?php } ;?>
                            </select>
                        </div>
                    </div>
                </div>
				<?php } ;?>
				<?php if( !empty($renax_car_pickup_location) ) { ?>
				<div class="col-md-6">
					<div class="select1_wrapper">
                        <label><?php esc_html_e('Pick Up Location','renax');?></label>
                        <div class="select1_inner">
                            <select class="select2 select" name="car_pickup_ids" style="width: 100%">
                                <option value="0"><?php esc_html_e('Pick Up Location','renax');?></option>
                                <?php foreach($renax_car_pickup_location as &$renax_car_pickup_locations) { ?>
                                 <option value="<?php echo esc_attr($renax_car_pickup_locations->term_id); ?>"><?php echo esc_html($renax_car_pickup_locations->name); ?></option>
								<?php } ;?>
                            </select>
                        </div>
                    </div>
                </div>
				<?php } ;?>
				<div class="col-md-6">
                    <div class="input1_wrapper">
                        <label><?php esc_html_e('Pick Up Date','renax');?></label>
                        <div class="input1_inner">
                            <input type="text" autocomplete="off" name="car_pickup_date_ids" class="form-control input datepicker" placeholder="<?php esc_attr_e('Pick Up Date','renax');?>" <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''))) { ?>data-rn-cl-months='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-months='["January","February","March","April","May", "June","July","August","September","October","November","December"]'<?php } ;?> <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''))) { ?>data-rn-cl-date='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-date='["Su","Mo","Tu","We","Th","Fr","Sa"]'<?php } ;?> data-rn-start-date="<?php if (Renax_AfterSetupTheme::return_thme_option('cars_search_cal_first_day')=='st2'){?>1<?php } else { ?>0<?php } ;?>">
                        </div>
                    </div>
                </div>
				<?php if( !empty($renax_car_dropoff_location) ) { ?>
				<div class="col-md-6">
					<div class="select1_wrapper">
                        <label><?php esc_html_e('Drop Off Location','renax');?></label>
                        <div class="select1_inner">
                            <select class="select2 select" name="car_dropoff_ids" style="width: 100%">
                                <option value="0"><?php esc_html_e('Drop Off Location','renax');?></option>
                                <?php foreach($renax_car_dropoff_location as &$renax_car_dropoff_locations) { ?>
                                 <option value="<?php echo esc_attr($renax_car_dropoff_locations->term_id); ?>"><?php echo esc_html($renax_car_dropoff_locations->name); ?></option>
								<?php } ;?>
                            </select>
                        </div>
                    </div>
                </div>
				<?php } ;?>
				<div class="col-md-6">
                    <div class="input1_wrapper">
                        <label><?php esc_html_e('Return Date','renax');?></label>
                        <div class="input1_inner">
                            <input type="text" autocomplete="off" name="car_return_date_ids" class="form-control input datepicker" placeholder="<?php esc_attr_e('Return Date','renax');?>" <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''))) { ?>data-rn-cl-months='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-months='["January","February","March","April","May", "June","July","August","September","October","November","December"]'<?php } ;?> <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''))) { ?>data-rn-cl-date='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-date='["Su","Mo","Tu","We","Th","Fr","Sa"]'<?php } ;?> data-rn-start-date="<?php if (Renax_AfterSetupTheme::return_thme_option('cars_search_cal_first_day')=='st2'){?>1<?php } else { ?>0<?php } ;?>">
                        </div>
                    </div>
                </div>
				<div class="col-md-12">
                    <input type="hidden" name="post_type" value="cars" />
					<button type="submit" class="booking-button mt-15"><?php esc_html_e('Rent Now','renax');?></button>
                </div>
            </div>
        </form>
    </div>
</div>
<?php 
wp_enqueue_style('renax-datepicker'); 
wp_enqueue_script('renax-datepicker');
}
};

/**
 * car search inline form
 */
if ( ! function_exists( 'renax_car_search_form' ) ) {
function renax_car_search_form() { 
$renax_options = get_option('renax');
?>
<?php
$renax_car_category = get_terms( array(
	'taxonomy'          => 'car_category',
	'hide_empty'        => true,
	) );
$renax_car_pickup_location = get_terms( array(
	'taxonomy'          => 'car_pickup_location',
	'hide_empty'        => true,
	) );
$renax_car_dropoff_location = get_terms( array(
	'taxonomy'          => 'car_dropoff_location',
	'hide_empty'        => true,
	) );
?>
<!-- car Search -->
<div class="booking-inner clearfix">
    <form role="search" action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get" class="form1 brdr clearfix">
		<?php if( !empty($renax_car_category) ) { ?>
		<div class="col2 c3">
			<input type="hidden" name="s" value="" />
            <div class="select1_wrapper">
                <label><?php esc_html_e('Choose Car Type','renax');?></label>
                <div class="select1_inner">
                    <select class="select2 select" name="car_category_ids" style="width: 100%">
                        <option value="0"><?php esc_html_e('Choose Car Type','renax');?></option>
                        <?php foreach($renax_car_category as &$renax_car_categorys) { ?>
                        <option value="<?php echo esc_attr($renax_car_categorys->term_id); ?>"><?php echo esc_html($renax_car_categorys->name); ?></option>
						<?php } ;?>
                    </select>
                </div>
            </div>
        </div>
		<?php } ;?>
		<?php if( !empty($renax_car_pickup_location) ) { ?>
		<div class="col2 c4">
			<div class="select1_wrapper">
                <label><?php esc_html_e('Pick Up Location','renax');?></label>
                <div class="select1_inner">
                    <select class="select2 select" name="car_pickup_ids" style="width: 100%">
                        <option value="0"><?php esc_html_e('Pick Up Location','renax');?></option>
                        <?php foreach($renax_car_pickup_location as &$renax_car_pickup_locations) { ?>
                        <option value="<?php echo esc_attr($renax_car_pickup_locations->term_id); ?>"><?php echo esc_html($renax_car_pickup_locations->name); ?></option>
						<?php } ;?>
                    </select>
                </div>
            </div>
        </div>
		<?php } ;?>
		<div class="col1 c1">
            <div class="input1_wrapper">
                <label><?php esc_html_e('Pick Up Date','renax');?></label>
                <div class="input1_inner">
                    <input type="text" autocomplete="off" name="car_pickup_date_ids" class="form-control input datepicker" placeholder="<?php esc_attr_e('Pick Up Date','renax');?>" <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''))) { ?>data-rn-cl-months='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-months='["January","February","March","April","May", "June","July","August","September","October","November","December"]'<?php } ;?> <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''))) { ?>data-rn-cl-date='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-date='["Su","Mo","Tu","We","Th","Fr","Sa"]'<?php } ;?> data-rn-start-date="<?php if (Renax_AfterSetupTheme::return_thme_option('cars_search_cal_first_day')=='st2'){?>1<?php } else { ?>0<?php } ;?>">
                </div>
            </div>
        </div>
		<?php if( !empty($renax_car_dropoff_location) ) { ?>
		<div class="col2 c5">
			<div class="select1_wrapper">
                <label><?php esc_html_e('Drop Off Location','renax');?></label>
                    <div class="select1_inner">
                        <select class="select2 select" name="car_dropoff_ids" style="width: 100%">
                            <option value="0"><?php esc_html_e('Drop Off Location','renax');?></option>
                            <?php foreach($renax_car_dropoff_location as &$renax_car_dropoff_locations) { ?>
                            <option value="<?php echo esc_attr($renax_car_dropoff_locations->term_id); ?>"><?php echo esc_html($renax_car_dropoff_locations->name); ?></option>
							<?php } ;?>
                        </select>
                    </div>
                </div>
            </div>
		<?php };?>
			<div class="col1 c2">
                <div class="input1_wrapper">
                    <label><?php esc_html_e('Return Date','renax');?></label>
                    <div class="input1_inner">
                        <input type="text" autocomplete="off" name="car_return_date_ids" class="form-control input datepicker" placeholder="<?php esc_attr_e('Return Date','renax');?>" <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''))) { ?>data-rn-cl-months='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-months='["January","February","March","April","May", "June","July","August","September","October","November","December"]'<?php } ;?> <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''))) { ?>data-rn-cl-date='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-date='["Su","Mo","Tu","We","Th","Fr","Sa"]'<?php } ;?> data-rn-start-date="<?php if (Renax_AfterSetupTheme::return_thme_option('cars_search_cal_first_day')=='st2'){?>1<?php } else { ?>0<?php } ;?>">
                    </div>
                </div>
            </div>
			<div class="col3 c6">
                <input type="hidden" name="post_type" value="cars" />
				<button type="submit" class="booking-button"><?php esc_html_e('Rent Now','renax');?></button>
            </div>
        
        </form>
    </div>

<?php 
wp_enqueue_style('renax-datepicker'); 
}
};

/**
 * car search inline form
 */
if ( ! function_exists( 'renax_car_search_not_found_form' ) ) {
function renax_car_search_not_found_form() { 
$renax_options = get_option('renax');
?>
<?php
$renax_car_category = get_terms( array(
	'taxonomy'          => 'car_category',
	'hide_empty'        => true,
	) );
$renax_car_pickup_location = get_terms( array(
	'taxonomy'          => 'car_pickup_location',
	'hide_empty'        => true,
	) );
$renax_car_dropoff_location = get_terms( array(
	'taxonomy'          => 'car_dropoff_location',
	'hide_empty'        => true,
	) );
?>
<!-- car Search -->
<div class="booking-inner clearfix">
    <form role="search" action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get" class="form1 brdr clearfix">
		<?php if( !empty($renax_car_category) ) { ?>
		<div class="col2 c3">
			<input type="hidden" name="s" value="" />
            <div class="select1_wrapper">
                <label><?php esc_html_e('Choose Car Type','renax');?></label>
                <div class="select1_inner">
                    <select class="select2 select" name="car_category_ids" style="width: 100%">
                        <option value="0"><?php esc_html_e('Choose Car Type','renax');?></option>
                        <?php foreach($renax_car_category as &$renax_car_categorys) { ?>
                        <option value="<?php echo esc_attr($renax_car_categorys->term_id); ?>"><?php echo esc_html($renax_car_categorys->name); ?></option>
						<?php } ;?>
                    </select>
                </div>
            </div>
        </div>
		<?php } ;?>
		<?php if( !empty($renax_car_pickup_location) ) { ?>
		<div class="col2 c4">
			<div class="select1_wrapper">
                <label><?php esc_html_e('Pick Up Location','renax');?></label>
                <div class="select1_inner">
                    <select class="select2 select" name="car_pickup_ids" style="width: 100%">
                        <option value="0"><?php esc_html_e('Pick Up Location','renax');?></option>
                        <?php foreach($renax_car_pickup_location as &$renax_car_pickup_locations) { ?>
                        <option value="<?php echo esc_attr($renax_car_pickup_locations->term_id); ?>"><?php echo esc_html($renax_car_pickup_locations->name); ?></option>
						<?php } ;?>
                    </select>
                </div>
            </div>
        </div>
		<?php } ;?>
		<div class="col1 c1">
            <div class="input1_wrapper">
                <label><?php esc_html_e('Pick Up Date','renax');?></label>
                <div class="input1_inner">
                    <input type="text" autocomplete="off" name="car_pickup_date_ids" class="form-control input datepicker" placeholder="<?php esc_attr_e('Pick Up Date','renax');?>" <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''))) { ?>data-rn-cl-months='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-months='["January","February","March","April","May", "June","July","August","September","October","November","December"]'<?php } ;?> <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''))) { ?>data-rn-cl-date='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-date='["Su","Mo","Tu","We","Th","Fr","Sa"]'<?php } ;?> data-rn-start-date="<?php if (Renax_AfterSetupTheme::return_thme_option('cars_search_cal_first_day')=='st2'){?>1<?php } else { ?>0<?php } ;?>">
                </div>
            </div>
        </div>
		<?php if( !empty($renax_car_dropoff_location) ) { ?>
		<div class="col2 c5">
			<div class="select1_wrapper">
                <label><?php esc_html_e('Drop Off Location','renax');?></label>
                    <div class="select1_inner">
                        <select class="select2 select" name="car_dropoff_ids" style="width: 100%">
                            <option value="0"><?php esc_html_e('Drop Off Location','renax');?></option>
                            <?php foreach($renax_car_dropoff_location as &$renax_car_dropoff_locations) { ?>
                            <option value="<?php echo esc_attr($renax_car_dropoff_locations->term_id); ?>"><?php echo esc_html($renax_car_dropoff_locations->name); ?></option>
							<?php } ;?>
                        </select>
                    </div>
                </div>
        </div>
		<?php } ;?>
			<div class="col1 c2">
                <div class="input1_wrapper">
                    <label><?php esc_html_e('Return Date','renax');?></label>
                    <div class="input1_inner">
                        <input type="text" autocomplete="off" name="car_return_date_ids" class="form-control input datepicker" placeholder="<?php esc_attr_e('Return Date','renax');?>" <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''))) { ?>data-rn-cl-months='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-months='["January","February","March","April","May", "June","July","August","September","October","November","December"]'<?php } ;?> <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''))) { ?>data-rn-cl-date='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-date='["Su","Mo","Tu","We","Th","Fr","Sa"]'<?php } ;?> data-rn-start-date="<?php if (Renax_AfterSetupTheme::return_thme_option('cars_search_cal_first_day')=='st2'){?>1<?php } else { ?>0<?php } ;?>">
                    </div>
                </div>
            </div>
			<div class="col3 c6">
                <input type="hidden" name="post_type" value="cars" />
				<button type="submit" class="booking-button"><?php esc_html_e('Rent Now','renax');?></button>
            </div>
        
        </form>
    </div>

<?php 
wp_enqueue_style('renax-datepicker'); 
wp_enqueue_script('renax-datepicker');
wp_enqueue_script('renax-select2');
wp_enqueue_script('renax-search-select2');
}
};

/**
 * car search form
 */
if ( ! function_exists( 'renax_car_search_page_form' ) ) {
function renax_car_search_page_form() { 
$renax_options = get_option('renax');
?>
<?php
$renax_car_category = get_terms( array(
	'taxonomy'          => 'car_category',
	'hide_empty'        => true,
	) );
$renax_car_pickup_location = get_terms( array(
	'taxonomy'          => 'car_pickup_location',
	'hide_empty'        => true,
	) );
$renax_car_dropoff_location = get_terms( array(
	'taxonomy'          => 'car_dropoff_location',
	'hide_empty'        => true,
	) );
?>
<!-- car Search -->
<div class="booking-box">
    <div class="booking-inner clearfix">
        <form role="search" action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get" class="form1 clearfix">
			<div class="row">
                <?php if( !empty($renax_car_category) ) { ?>
				<div class="col-md-12">
					<input type="hidden" name="s" value="" />
                    <div class="select1_wrapper">
                        <label><?php esc_html_e('Choose Car Type','renax');?></label>
                        <div class="select1_inner">
                            <select class="select2 select" name="car_category_ids" style="width: 100%">
                                <option value="0"><?php esc_html_e('Choose Car Type','renax');?></option>
                                <?php foreach($renax_car_category as &$renax_car_categorys) { ?>
                                 <option value="<?php echo esc_attr($renax_car_categorys->term_id); ?>"><?php echo esc_html($renax_car_categorys->name); ?></option>
								<?php } ;?>
                            </select>
                        </div>
                    </div>
                </div>
				<?php } ;?>
				<?php if( !empty($renax_car_pickup_location) ) { ?>
				<div class="col-md-12">
					<div class="select1_wrapper">
                        <label><?php esc_html_e('Pick Up Location','renax');?></label>
                        <div class="select1_inner">
                            <select class="select2 select" name="car_pickup_ids" style="width: 100%">
                                <option value="0"><?php esc_html_e('Pick Up Location','renax');?></option>
                                <?php foreach($renax_car_pickup_location as &$renax_car_pickup_locations) { ?>
                                 <option value="<?php echo esc_attr($renax_car_pickup_locations->term_id); ?>"><?php echo esc_html($renax_car_pickup_locations->name); ?></option>
								<?php } ;?>
                            </select>
                        </div>
                    </div>
                </div>
				<?php } ;?>
				<div class="col-md-12">
                    <div class="input1_wrapper">
                        <label><?php esc_html_e('Pick Up Date','renax');?></label>
                        <div class="input1_inner">
                            <input type="text" autocomplete="off" name="car_pickup_date_ids" class="form-control input datepicker" placeholder="<?php esc_attr_e('Pick Up Date','renax');?>" <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''))) { ?>data-rn-cl-months='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-months='["January","February","March","April","May", "June","July","August","September","October","November","December"]'<?php } ;?> <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''))) { ?>data-rn-cl-date='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-date='["Su","Mo","Tu","We","Th","Fr","Sa"]'<?php } ;?> data-rn-start-date="<?php if (Renax_AfterSetupTheme::return_thme_option('cars_search_cal_first_day')=='st2'){?>1<?php } else { ?>0<?php } ;?>">
                        </div>
                    </div>
                </div>
				<?php if( !empty($renax_car_dropoff_location) ) { ?>
				<div class="col-md-12">
					<div class="select1_wrapper">
                        <label><?php esc_html_e('Drop Off Location','renax');?></label>
                        <div class="select1_inner">
                            <select class="select2 select" name="car_dropoff_ids" style="width: 100%">
                                <option value="0"><?php esc_html_e('Drop Off Location','renax');?></option>
                                <?php foreach($renax_car_dropoff_location as &$renax_car_dropoff_locations) { ?>
                                 <option value="<?php echo esc_attr($renax_car_dropoff_locations->term_id); ?>"><?php echo esc_html($renax_car_dropoff_locations->name); ?></option>
								<?php } ;?>
                            </select>
                        </div>
                    </div>
                </div>
				<?php } ;?>
				<div class="col-md-12">
                    <div class="input1_wrapper">
                        <label><?php esc_html_e('Return Date','renax');?></label>
                        <div class="input1_inner">
                            <input type="text" autocomplete="off" name="car_return_date_ids" class="form-control input datepicker" placeholder="<?php esc_attr_e('Return Date','renax');?>" <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''))) { ?>data-rn-cl-months='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-months='["January","February","March","April","May", "June","July","August","September","October","November","December"]'<?php } ;?> <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''))) { ?>data-rn-cl-date='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-date='["Su","Mo","Tu","We","Th","Fr","Sa"]'<?php } ;?> data-rn-start-date="<?php if (Renax_AfterSetupTheme::return_thme_option('cars_search_cal_first_day')=='st2'){?>1<?php } else { ?>0<?php } ;?>">
                        </div>
                    </div>
                </div>
				<div class="col-md-12">
                    <input type="hidden" name="post_type" value="cars" />
					<button type="submit" class="booking-button mt-15"><?php esc_html_e('Rent Now','renax');?></button>
                </div>
            </div>
        </form>
    </div>
</div>
<?php 
wp_enqueue_style('renax-datepicker'); 
wp_enqueue_script('renax-datepicker');
wp_enqueue_script('renax-select2');
wp_enqueue_script('renax-search-select2');
}
};

/**
 * car search form
 */
if ( ! function_exists( 'renax_product_search' ) ) {
function renax_product_search() { 
$renax_options = get_option('renax');
?>
<?php
$renax_car_category = get_terms( array(
	'taxonomy'          => 'product_cat',
	'hide_empty'        => true,
	) );
$renax_car_pickup_location = get_terms( array(
	'taxonomy'          => 'product_pickup_location',
	'hide_empty'        => true,
	) );
$renax_car_dropoff_location = get_terms( array(
	'taxonomy'          => 'product_dropoff_location',
	'hide_empty'        => true,
	) );
?>
<!-- car Search -->
<div class="booking-box">
    <div class="booking-inner clearfix">
        <form role="search" action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get" class="form1 clearfix">
			<div class="row">
                <?php if( !empty($renax_car_category) ) { ?>
				<div class="col-md-12">
					<input type="hidden" name="s" value="" />
                    <div class="select1_wrapper">
                        <label><?php esc_html_e('Choose Car Type','renax');?></label>
                        <div class="select1_inner">
                            <select class="select2 select" name="product_category_ids" style="width: 100%">
                                <option value="0"><?php esc_html_e('Choose Car Type','renax');?></option>
                                <?php foreach($renax_car_category as &$renax_car_categorys) { ?>
                                 <option value="<?php echo esc_attr($renax_car_categorys->term_id); ?>"><?php echo esc_html($renax_car_categorys->name); ?></option>
								<?php } ;?>
                            </select>
                        </div>
                    </div>
                </div>
				<?php } ;?>
				<?php if( !empty($renax_car_pickup_location) ) { ?>
				<div class="col-md-6">
					<div class="select1_wrapper">
                        <label><?php esc_html_e('Pick Up Location','renax');?></label>
                        <div class="select1_inner">
                            <select class="select2 select" name="product_pickup_ids" style="width: 100%">
                                <option value="0"><?php esc_html_e('Pick Up Location','renax');?></option>
                                <?php foreach($renax_car_pickup_location as &$renax_car_pickup_locations) { ?>
                                 <option value="<?php echo esc_attr($renax_car_pickup_locations->term_id); ?>"><?php echo esc_html($renax_car_pickup_locations->name); ?></option>
								<?php } ;?>
                            </select>
                        </div>
                    </div>
                </div>
				<?php } ;?>
				<div class="col-md-6">
                    <div class="input1_wrapper">
                        <label><?php esc_html_e('Pick Up Date','renax');?></label>
                        <div class="input1_inner">
                            <input type="text" autocomplete="off" name="car_pickup_date_ids" class="form-control input datepicker" placeholder="<?php esc_attr_e('Pick Up Date','renax');?>" <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''))) { ?>data-rn-cl-months='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-months='["January","February","March","April","May", "June","July","August","September","October","November","December"]'<?php } ;?> <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''))) { ?>data-rn-cl-date='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-date='["Su","Mo","Tu","We","Th","Fr","Sa"]'<?php } ;?> data-rn-start-date="<?php if (Renax_AfterSetupTheme::return_thme_option('cars_search_cal_first_day')=='st2'){?>1<?php } else { ?>0<?php } ;?>">
                        </div>
                    </div>
                </div>
				<?php if( !empty($renax_car_dropoff_location) ) { ?>
				<div class="col-md-6">
					<div class="select1_wrapper">
                        <label><?php esc_html_e('Drop Off Location','renax');?></label>
                        <div class="select1_inner">
                            <select class="select2 select" name="product_dropoff_ids" style="width: 100%">
                                <option value="0"><?php esc_html_e('Drop Off Location','renax');?></option>
                                <?php foreach($renax_car_dropoff_location as &$renax_car_dropoff_locations) { ?>
                                 <option value="<?php echo esc_attr($renax_car_dropoff_locations->term_id); ?>"><?php echo esc_html($renax_car_dropoff_locations->name); ?></option>
								<?php } ;?>
                            </select>
                        </div>
                    </div>
                </div>
				<?php } ;?>
				<div class="col-md-6">
                    <div class="input1_wrapper">
                        <label><?php esc_html_e('Return Date','renax');?></label>
                        <div class="input1_inner">
                            <input type="text" autocomplete="off" name="car_return_date_ids" class="form-control input datepicker" placeholder="<?php esc_attr_e('Return Date','renax');?>" <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''))) { ?>data-rn-cl-months='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-months='["January","February","March","April","May", "June","July","August","September","October","November","December"]'<?php } ;?> <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''))) { ?>data-rn-cl-date='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-date='["Su","Mo","Tu","We","Th","Fr","Sa"]'<?php } ;?> data-rn-start-date="<?php if (Renax_AfterSetupTheme::return_thme_option('cars_search_cal_first_day')=='st2'){?>1<?php } else { ?>0<?php } ;?>">
                        </div>
                    </div>
                </div>
				<div class="col-md-12">
                    <input type="hidden" name="post_type" value="product" />
					<button type="submit" class="booking-button mt-15"><?php esc_html_e('Rent Now','renax');?></button>
                </div>
            </div>
        </form>
    </div>
</div>
<?php 
wp_enqueue_style('renax-datepicker'); 
wp_enqueue_script('renax-datepicker');
}
};
/**
 * car search inline form
 */
if ( ! function_exists( 'renax_product_search_form' ) ) {
function renax_product_search_form() { 
$renax_options = get_option('renax');
?>
<?php
$renax_car_category = get_terms( array(
	'taxonomy'          => 'product_cat',
	'hide_empty'        => true,
	) );
$renax_car_pickup_location = get_terms( array(
	'taxonomy'          => 'product_pickup_location',
	'hide_empty'        => true,
	) );
$renax_car_dropoff_location = get_terms( array(
	'taxonomy'          => 'product_dropoff_location',
	'hide_empty'        => true,
	) );
?>
<!-- car Search -->
<div class="booking-inner clearfix">
    <form role="search" action="<?php echo esc_url( home_url( '/' ) ); ?>" method="get" class="form1 brdr clearfix">
		<?php if( !empty($renax_car_category) ) { ?>
		<div class="col2 c3">
			<input type="hidden" name="s" value="" />
            <div class="select1_wrapper">
                <label><?php esc_html_e('Choose Car Type','renax');?></label>
                <div class="select1_inner">
                    <select class="select2 select" name="product_category_ids" style="width: 100%">
                        <option value="0"><?php esc_html_e('Choose Car Type','renax');?></option>
                        <?php foreach($renax_car_category as &$renax_car_categorys) { ?>
                        <option value="<?php echo esc_attr($renax_car_categorys->term_id); ?>"><?php echo esc_html($renax_car_categorys->name); ?></option>
						<?php } ;?>
                    </select>
                </div>
            </div>
        </div>
		<?php } ;?>
		<?php if( !empty($renax_car_pickup_location) ) { ?>
		<div class="col2 c4">
			<div class="select1_wrapper">
                <label><?php esc_html_e('Pick Up Location','renax');?></label>
                <div class="select1_inner">
                    <select class="select2 select" name="product_pickup_ids" style="width: 100%">
                        <option value="0"><?php esc_html_e('Pick Up Location','renax');?></option>
                        <?php foreach($renax_car_pickup_location as &$renax_car_pickup_locations) { ?>
                        <option value="<?php echo esc_attr($renax_car_pickup_locations->term_id); ?>"><?php echo esc_html($renax_car_pickup_locations->name); ?></option>
						<?php } ;?>
                    </select>
                </div>
            </div>
        </div>
		<?php } ;?>
		<div class="col1 c1">
            <div class="input1_wrapper">
                <label><?php esc_html_e('Pick Up Date','renax');?></label>
                <div class="input1_inner">
                    <input type="text" autocomplete="off" name="car_pickup_date_ids" class="form-control input datepicker" placeholder="<?php esc_attr_e('Pick Up Date','renax');?>" <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''))) { ?>data-rn-cl-months='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-months='["January","February","March","April","May", "June","July","August","September","October","November","December"]'<?php } ;?> <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''))) { ?>data-rn-cl-date='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-date='["Su","Mo","Tu","We","Th","Fr","Sa"]'<?php } ;?> data-rn-start-date="<?php if (Renax_AfterSetupTheme::return_thme_option('cars_search_cal_first_day')=='st2'){?>1<?php } else { ?>0<?php } ;?>">
                </div>
            </div>
        </div>
		<?php if( !empty($renax_car_dropoff_location) ) { ?>
		<div class="col2 c5">
			<div class="select1_wrapper">
                <label><?php esc_html_e('Drop Off Location','renax');?></label>
                    <div class="select1_inner">
                        <select class="select2 select" name="product_dropoff_ids" style="width: 100%">
                            <option value="0"><?php esc_html_e('Drop Off Location','renax');?></option>
                            <?php foreach($renax_car_dropoff_location as &$renax_car_dropoff_locations) { ?>
                            <option value="<?php echo esc_attr($renax_car_dropoff_locations->term_id); ?>"><?php echo esc_html($renax_car_dropoff_locations->name); ?></option>
							<?php } ;?>
                        </select>
                    </div>
            </div>
        </div>
		<?php } ;?>
			<div class="col1 c2">
                <div class="input1_wrapper">
                    <label><?php esc_html_e('Return Date','renax');?></label>
                    <div class="input1_inner">
                        <input type="text" autocomplete="off" name="car_return_date_ids" class="form-control input datepicker" placeholder="<?php esc_attr_e('Return Date','renax');?>" <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''))) { ?>data-rn-cl-months='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_month_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-months='["January","February","March","April","May", "June","July","August","September","October","November","December"]'<?php } ;?> <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''))) { ?>data-rn-cl-date='[<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('datepicker_week_translation_opt',''));?> ]'<?php } else { ?>data-rn-cl-date='["Su","Mo","Tu","We","Th","Fr","Sa"]'<?php } ;?> data-rn-start-date="<?php if (Renax_AfterSetupTheme::return_thme_option('cars_search_cal_first_day')=='st2'){?>1<?php } else { ?>0<?php } ;?>">
                    </div>
                </div>
            </div>
			<div class="col3 c6">
                <input type="hidden" name="post_type" value="product" />
				<button type="submit" class="booking-button"><?php esc_html_e('Rent Now','renax');?></button>
            </div>
        
        </form>
    </div>

<?php 
wp_enqueue_style('renax-datepicker'); 
}
};
/**
 * progress wrap
 */
if ( ! function_exists( 'renax_progress_wrap' ) ) :
function renax_progress_wrap() { 
if (Renax_AfterSetupTheme::return_thme_option('enable_scroll_top')!='st2'){
?>
<!-- Progress scroll totop -->
<div class="progress-wrap cursor-pointer">
    <svg class="progress-circle svg-content" width="100%" height="100%" viewBox="-1 -1 102 102">
        <path d="M50,1 a49,49 0 0,1 0,98 a49,49 0 0,1 0,-98" />
    </svg>
</div>
<?php wp_enqueue_script('renax-scrollto-script');?>
<?php 
}
}
endif;

/**
 * menu loader
 */
if ( ! function_exists( 'renax_menu_loader' ) ) :
function renax_menu_loader() { 
?>
<?php 
if ( ! function_exists( 'elementor_theme_do_location' ) || ! elementor_theme_do_location( 'header' ) ) {
get_template_part('template-parts/main-header');
};
?>
<?php 
}
endif;

add_filter("use_block_editor_for_post_type", "renax_disable_gutenberg_editor");
function renax_disable_gutenberg_editor() {
	if (Renax_AfterSetupTheme::return_thme_option('opt_theme_gutenberg')=='st2'){
		return true;
	} else {
		return false;
	}
}
//renax header loader
if ( ! function_exists( 'wp_body_open' ) ) {
    function wp_body_open() {
        do_action( 'wp_body_open' );
    }
}
//renax header add action
add_action('wp_body_open', 'renax_preloader', 5);
add_action('wp_body_open', 'renax_progress_wrap', 6);
add_action('wp_body_open', 'renax_custom_cursor', 7);
add_action('wp_body_open', 'renax_menu_loader', 8);
//body class
function renax_body_classes( $classes ) {
	global $renax_empty_preloader_active, $renax_empty_progress_active, $renax_empty_social_border, $renax_empty_menu_active_color, $renax_empty_ft_li_hv_color, $renax_empty_ft_a_hv_color, $renax_empty_toggle_color, $renax_empty_sub_menu_active_color, $renax_empty_mob_menu_active_color;
	if(empty(Renax_AfterSetupTheme::return_thme_option('opt_theme_site_theme_preloader_progress_bar_active',''))) {
		$renax_empty_preloader_active='rn-empty-preloader-ac-color';
	}
	if(empty(Renax_AfterSetupTheme::return_thme_option('opt_theme_site_theme_scroll_to_top_back_active',''))) {
		$renax_empty_progress_active='rn-empty-progress-bar-color';
	}
	if(empty(Renax_AfterSetupTheme::return_thme_option('footer_style_social_back_color',''))) {
		$renax_empty_social_border='rn-empty-social-border-color';
	}
	if(empty(Renax_AfterSetupTheme::return_thme_option('typography_a_navmenu_item_hover','color'))) {
		$renax_empty_menu_active_color='rn-empty-menu-active-color';
	}
	if(empty(Renax_AfterSetupTheme::return_thme_option('typography-a-navmenu-classic-mobile-hov','color'))) {
		$renax_empty_mob_menu_active_color='rn-empty-mob-menu-active-color';
	}
	if(empty(Renax_AfterSetupTheme::return_thme_option('typographyfooter_wid_li_hover','color'))) {
		$renax_empty_ft_li_hv_color='rn-empty-footer-li-color';
	}
	if(empty(Renax_AfterSetupTheme::return_thme_option('opt_theme_footer_a_url_border',''))) {
		$renax_empty_ft_a_hv_color='rn-empty-footer-a-color';
	}
	if(empty(Renax_AfterSetupTheme::return_thme_option('opt_site_classic_mob_menu_toggle_color',''))) {
		$renax_empty_toggle_color='rn-empty-toggle-color';
	}
	if(empty(Renax_AfterSetupTheme::return_thme_option('typography_a_sub_navmenu_active','color'))) {
		$renax_empty_sub_menu_active_color='rn-empty-sub-menu-active-color';
	}
	if (Renax_AfterSetupTheme::return_thme_option('theme_color_style')=='st2'){
	$classes[] = 'version-dark renax-v-'.RENAX_THEME_VERSION.' '.esc_attr($renax_empty_preloader_active).' '.esc_attr($renax_empty_progress_active).' '.esc_attr($renax_empty_social_border).' '.esc_attr($renax_empty_menu_active_color).' '.esc_attr($renax_empty_ft_li_hv_color).' '.esc_attr($renax_empty_ft_a_hv_color).' '.esc_attr($renax_empty_toggle_color).' '.esc_attr($renax_empty_sub_menu_active_color).' '.esc_attr($renax_empty_mob_menu_active_color).'';
	}
	else{
	$classes[] = 'version-light renax-v-'.RENAX_THEME_VERSION.' '.esc_attr($renax_empty_preloader_active).' '.esc_attr($renax_empty_progress_active).' '.esc_attr($renax_empty_social_border).' '.esc_attr($renax_empty_menu_active_color).' '.esc_attr($renax_empty_ft_li_hv_color).' '.esc_attr($renax_empty_ft_a_hv_color).' '.esc_attr($renax_empty_toggle_color).' '.esc_attr($renax_empty_sub_menu_active_color).' '.esc_attr($renax_empty_mob_menu_active_color).'';
	}	
		
    return $classes;
}
add_filter( 'body_class','renax_body_classes' );