/* -----------------------------------------------------------

[ Custom Settings ]

01. ScrollIt
02. Preloader
03. Navbar scrolling background
04. Close navbar-collapse when a clicked
05. Sections background image from data background 
06. Slider-Fade owlCarousel
07. Services owlCarousel
08. Services 2 owlCarousel
09. Team owlCarousel
10. Testimonials owlCarousel
11. Clients owlCarousel
12  Blog owlCarousel
13. MagnificPopup (Image, Youtube, Vimeo & Custom PopUp)
14. Accordion
15. Isotope Active Masonry Gallery
16. Animations
17. YouTubePopUp
18. Select2
19. Datepicker
20. Scroll back to top
21. Contact Form

----------------------------------------------------------- */
jQuery(function () {
    "use strict";
    var wind = jQuery(window);
    // ScrollIt
    jQuery.scrollIt({
        upKey: 38, // key code to navigate to the next section
        downKey: 40, // key code to navigate to the previous section
        easing: 'swing', // the easing function for animation
        scrollTime: 600, // how long (in ms) the animation takes
        activeClass: 'active', // class given to the active nav element
        onPageChange: null, // function(pageIndex) that is called when page is changed
        topOffset: -70 // offste (in px) for fixed top navigation
    });
    
    // Navbar scrolling background
    wind.on("scroll", function () {
        var bodyScroll = wind.scrollTop(),
            navbar = jQuery(".navbar"),
            logo = jQuery(".navbar .logo> img");
			var mobileLogoSrc = jQuery('.logo').data('mobile-logo');
			var stickyLogoSrc = jQuery('.logo').data('sticky-logo');
        if (bodyScroll > 100) {
            navbar.addClass("nav-scroll");
            logo.attr('src', mobileLogoSrc);
        } else {
            navbar.removeClass("nav-scroll");
            logo.attr('src', stickyLogoSrc);
        }
    });
   
    // Close navbar-collapse when a clicked
    jQuery(".navbar-nav .dropdown-item a").on('click', function () {
        jQuery(".navbar-collapse").removeClass("show");
    });
    
    // Close mobile menu "on click"
    jQuery(function () {
        var navMain = jQuery(".scroll-init");
        navMain.on("click", "a", null, function () {
            navMain.collapse('hide');
        });
    });
    
    // Sections background image from data background
    var pageSection = jQuery(".bg-img, section");
    pageSection.each(function (indx) {
        if (jQuery(this).attr("data-background")) {
            jQuery(this).css("background-image", "url(" + jQuery(this).data("background") + ")");
        }
		if (jQuery(this).attr("data-padding")){
            jQuery(this).css("padding", "" + jQuery(this).data("padding") + "");
        }
		if (jQuery(this).attr("data-position")){
            jQuery(this).css("background-position", "" + jQuery(this).data("position") + "");
        }
		if (jQuery(this).attr("data-size")){
            jQuery(this).css("background-size", "" + jQuery(this).data("size") + "");
        }
    });
    
    
    
    // Team owlCarousel moved to el
    
    
    // Car Type 1 owlCarousel moved to el
    
    
    // Car Type 2 Icon owlCarousel
    jQuery('.car-types2 .owl-carousel').owlCarousel({
        loop: true,
        margin: 15,
        mouseDrag: true,
        autoplay: false,
        autoplayTimeout: 5000,
        dots: false,
        nav: false,
        navText: ["<span class='lnr ti-angle-left'></span>", "<span class='lnr ti-angle-right'></span>"],
        autoplayHoverPause: true,
        responsiveClass: true,
        responsive: {
            0: {
                items: 2,
            },
            600: {
                items: 3
            },
            1000: {
                items: 4
            }
        }
    });
    
    // Cars 1 owlCarousel moved to el
    
    
    // Testimonials owlCarousel moved to el
   
    
    //  Blog 1 owlCarousel Moved to el
    
    
    // Clients owlCarousel moved to el
    
    
    // MagnificPopup
    jQuery(".img-zoom").magnificPopup({
        type: "image",
        closeOnContentClick: !0,
        mainClass: "mfp-fade",
        gallery: {
            enabled: !0,
            navigateByImgClick: !0,
            preload: [0, 1]
        }
    })
    jQuery('.magnific-youtube, .magnific-vimeo, .magnific-custom').magnificPopup({
        disableOn: 700,
        type: 'iframe',
        mainClass: 'mfp-fade',
        removalDelay: 300,
        preloader: false,
        fixedContentPos: false
    });
    
    // Accordion
    if (jQuery(".accordion-box").length) {
        jQuery(".accordion-box").on("click", ".acc-btn", function () {
            var outerBox = jQuery(this).parents(".accordion-box");
            var target = jQuery(this).parents(".accordion");
            if (jQuery(this).next(".acc-content").is(":visible")) {
                //return false;
                jQuery(this).removeClass("active");
                jQuery(this).next(".acc-content").slideUp(300);
                jQuery(outerBox).children(".accordion").removeClass("active-block");
            } else {
                jQuery(outerBox).find(".accordion .acc-btn").removeClass("active");
                jQuery(this).addClass("active");
                jQuery(outerBox).children(".accordion").removeClass("active-block");
                jQuery(outerBox).find(".accordion").children(".acc-content").slideUp(300);
                target.addClass("active-block");
                jQuery(this).next(".acc-content").slideDown(300);
            }
        });
    }
    
    
    
    // Animations
    var contentWayPoint = function () {
        var i = 0;
        jQuery('.animate-box').waypoint(function (direction) {
            if (direction === 'down' && !jQuery(this.element).hasClass('animated')) {
                i++;
                jQuery(this.element).addClass('item-animate');
                setTimeout(function () {
                    jQuery('body .animate-box.item-animate').each(function (k) {
                        var el = jQuery(this);
                        setTimeout(function () {
                            var effect = el.data('animate-effect');
                            if (effect === 'fadeIn') {
                                el.addClass('fadeIn animated');
                            } else if (effect === 'fadeInLeft') {
                                el.addClass('fadeInLeft animated');
                            } else if (effect === 'fadeInRight') {
                                el.addClass('fadeInRight animated');
                            } else {
                                el.addClass('fadeInUp animated');
                            }
                            el.removeClass('item-animate');
                        }, k * 200, 'easeInOutExpo');
                    });
                }, 100);
            }
        }, {
            offset: '85%'
        });
    };
    jQuery(function () {
        contentWayPoint();
    });
    
    // YouTubePopUp
    jQuery("a.vid").YouTubePopUp();
});
