<?php 
$renax_options = get_option('renax');
get_header();
?>
<!-- Header Banner -->
<?php 
$renax_term_id = get_queried_object_id();
$renax_image_ids = get_term_meta( $renax_term_id, 'renax_car_pic_hd_image', false );
$renax_cat_sub_title = rwmb_meta('renax_car_pic_sub_title', ['object_type' => 'term'], $renax_term_id );
// Media fields are always multiple. ?>
<?php if ( ! empty( $renax_image_ids ) ) { ?>
<?php foreach ( $renax_image_ids as $renax_image_id ) {
$renax_image = RWMB_Image_Field::file_info( $renax_image_id, array( 'size' => 'full' ) ); ?>
<section class="banner-header section-padding bg-img" data-overlay-dark="6" data-background="<?php echo esc_url($renax_image['url']);?>">
<?php } ;?>
<?php } else { ?>
<section class="banner-header section-padding bg-img" data-overlay-dark="6" <?php if(!empty(Renax_AfterSetupTheme::return_thme_option('blog_background','url'))) { ?>data-background="<?php echo esc_url(Renax_AfterSetupTheme::return_thme_option('blog_background','url'));?>"<?php } ;?>>
<?php } ;?>
    <div class="v-middle">
        <div class="container">
			<div class="col-md-12 text-center">
                <?php if ( ! empty( $renax_cat_sub_title ) ) { ?>
				<<?php renax_index_subtitle_tag();?> class="rx-df-page-banner-subtitle"><?php echo esc_html($renax_cat_sub_title);?></<?php renax_index_subtitle_tag();?>>
				<?php } ;?>
				<<?php renax_index_title_tag();?> class="rx-df-page-banner-title"><?php single_cat_title( '', true ); ?></<?php renax_index_title_tag();?>>
				<div class="rx-hd-sub-des"><?php echo category_description(); ?></div>
            </div>
		</div>
    </div>
</section>
<section class="cars2 section-padding">
    <div class="container">
        <div class="row">
            <?php if (Renax_AfterSetupTheme::return_thme_option('car_taxo_pages_search')!='st2'){ ?>
			<!-- Sidebar -->
            <div class="col-lg-4 col-md-12 mb-30 rn-cat-search-box">
                <?php renax_car_search_page_form();?>
            </div>
			<?php } ;?>
            <!-- Content -->
			<div class="<?php if (Renax_AfterSetupTheme::return_thme_option('car_taxo_pages_search')!='st2'){ ?>col-lg-8<?php } else {?>col-lg-12<?php };?> col-md-12 car-list">
				<div class="container-after-car">
					<div class="row isotope-items-wrap-car  no-hide-last loadmore-wrapper-car" data-load-item="4" data-button-text="<?php esc_html_e('Load More','renax'); ?>">
					   <?php global $loop, $renax_image; 
						$args = array_merge( $wp_query->query, array( 'post_type' => 'cars', 'posts_per_page'=>-1, ) );
						query_posts( $args );
						?>
						<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
						<?php if (has_post_thumbnail( $post->ID ) ):
						$renax_image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), '' );?>	
						<div class="<?php if (Renax_AfterSetupTheme::return_thme_option('car_taxo_pages_search')!='st2'){ ?>col-lg-6<?php } else {?><?php echo esc_html(Renax_AfterSetupTheme::return_thme_option('car_taxo_pages_car_columns',''));?><?php } ;?> isotope-item col-md-6 mb-30">
							<div class="item">
								<figure class="position-re-order-car-list o-hidden">
									<div class="cd-pt-ab">
										<img src="<?php echo esc_url($renax_image[0]);?>" alt="<?php the_title_attribute();?>" class="img-fluid">
									</div>
								</figure>
								<div class="content">
									<div class="cont">
										<h3><a href="<?php the_permalink();?>"><?php the_title();?></a></h3>
										<?php if(get_post_meta($post->ID,'renax_opt_car_facilities',true)=='st2'){ ?>
											<?php
											if( function_exists( 'rwmb_meta' ) ) {
											$renax_fc_opts = rwmb_meta( 'renax_car_facilities' );
											if ( ! empty( $renax_fc_opts ) ) {
											foreach ( $renax_fc_opts as $renax_fc_opt ) { ;?>
											<?php $renax_icon = isset( $renax_fc_opt['renax_car_data_icon'] ) ? $renax_fc_opt['renax_car_data_icon'] : ''; ?>
											<?php $renax_title = isset( $renax_fc_opt['renax_car_data_title'] ) ? $renax_fc_opt['renax_car_data_title'] : ''; ?>
											<?php $renax_con = isset( $renax_fc_opt['renax_car_data_con'] ) ? $renax_fc_opt['renax_car_data_con'] : ''; ?>
											<?php if ( !empty( $renax_title ) ) { ?>
											<div class="features">
											<span>
											<?php if ( !empty( $renax_icon ) ) { ?>
											<i class="<?php echo esc_attr($renax_icon);?>"></i>
											<?php } ;?>										
											<?php echo esc_attr($renax_title);?></span>
												<p><?php echo esc_html($renax_con);?></p>
											</div>
											<?php } } } };?>
											<?php } ;?>
											
											<div class="book mt-30">
												<?php if(get_post_meta($post->ID,'renax_car_price',true)) { ?>
												<div>
													<div class="price"><?php echo esc_html(get_post_meta($post->ID,'renax_car_price',true));?> 
													<span><?php esc_html_e('/ day','renax');?></span>
													</div>
												</div>
												<?php } ;?>
												<a href="<?php the_permalink();?>" class="button-4"><?php esc_html_e('Details','renax');?></a>
											</div>
										</div>
								</div>
							</div>
						</div>
						<?php endif;?>
						<?php  endwhile; endif; wp_reset_postdata(); ?>
					</div>
					<!-- Pagination -->
				</div>
            </div>
		</div>
    </div>
</section>
<?php
wp_enqueue_script('imagesloaded');
wp_enqueue_script('isotope');
wp_enqueue_script('packery-mode');
wp_enqueue_script('car-cat-load-more');
?>
<?php get_footer(); ?>