<?php
/**
 * The Template for displaying product archives, including the main shop page which is a post type archive
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/archive-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see https://woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 8.6.0
 */

defined( 'ABSPATH' ) || exit;

get_header( 'shop' );

/**
 * Hook: woocommerce_before_main_content.
 *
 * @hooked woocommerce_output_content_wrapper - 10 (outputs opening divs for the content)
 * @hooked woocommerce_breadcrumb - 20
 * @hooked WC_Structured_Data::generate_website_data() - 30
 */
do_action( 'woocommerce_before_main_content' );
?>
<?php if ( is_active_sidebar( 'sidebar-5' ) ) : ?>
<?php $renax_shop = "col-lg-8 clo-md-12";?>
<?php else : ?>
<?php $renax_shop = "col-md-12";?>
<?php endif;?>
<?php 
$renax_options = get_option('renax');
global $renax_sidebar_class, $renax_content_class;
if (Renax_AfterSetupTheme::return_thme_option('shopstyle')=='st1'){
$renax_sidebar_class='order-md-first';
$renax_content_class='order-md-last';
};?>
<?php 
global $wp_query, $renax_imgdata_attr, $renax_shop_back;
$renax_shop_back = Renax_AfterSetupTheme::return_thme_option('shopheaderimg','url');
$renax_imgdata_attr = 'data-background="'.esc_url($renax_shop_back).'"';
?>
<section class="banner-header section-padding bg-img back-position-center" data-overlay-dark="4" <?php echo do_shortcode($renax_imgdata_attr);?>>
	<div class="v-middle">
	<div class="container">
        <div class="row">
		<div class="text-center col-md-12 mt-30">
				<h6 class="rx-df-page-banner-subtitle">
				<?php
				/**
				 * Hook: woocommerce_archive_description.
				 *
				 * @hooked woocommerce_taxonomy_archive_description - 10
				 * @hooked woocommerce_product_archive_description - 10
				 */
				do_action( 'woocommerce_archive_description' );
				?>
				</h6>
				<?php if(!empty($renax_options['shopsubtitle'])){ ?>
				<h6 class="rx-df-page-banner-subtitle">
					<?php echo esc_attr(Renax_AfterSetupTheme::return_thme_option('shopsubtitle',''));?>
				</h6>
				<?php } ;?>
				<?php if ( apply_filters( 'woocommerce_show_page_title', true ) ) { ?>
                <h3 class="rx-df-page-banner-title">
				<?php if ( is_search() ) {?>
				<?php esc_html_e('Search Results','renax');?>
				<?php } else { ?>
				<?php woocommerce_page_title(); ?>
				<?php } ;?>
				</h3>
				<?php }; ?>
		</div>
		</div>
	</div>
	</div>
</section>

<section class="section-padding  page-contents cars2" data-scroll-index="1">
    <div class="container">
		<div class="row">
				<div class="<?php echo esc_attr($renax_shop);?> <?php echo sanitize_html_class($renax_content_class);?> car-list">
				<?php
				if ( woocommerce_product_loop() ) {

				/**
				 * Hook: woocommerce_before_shop_loop.
				 *
				 * @hooked woocommerce_output_all_notices - 10
				 * @hooked woocommerce_result_count - 20
				 * @hooked woocommerce_catalog_ordering - 30
				 */
				do_action( 'woocommerce_before_shop_loop' );

				woocommerce_product_loop_start();

				if ( wc_get_loop_prop( 'total' ) ) {
					while ( have_posts() ) {
						the_post();

						/**
						 * Hook: woocommerce_shop_loop.
						 */
						do_action( 'woocommerce_shop_loop' );

						wc_get_template_part( 'content', 'product' );
					}
				}

				woocommerce_product_loop_end();

				/**
				 * Hook: woocommerce_after_shop_loop.
				 *
				 * @hooked woocommerce_pagination - 10
				 */
				do_action( 'woocommerce_after_shop_loop' );
			} else {
				/**
				 * Hook: woocommerce_no_products_found.
				 *
				 * @hooked wc_no_products_found - 10
				 */
				do_action( 'woocommerce_no_products_found' );
			}

			/**
			 * Hook: woocommerce_after_main_content.
			 *
			 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
			 */
			do_action( 'woocommerce_after_main_content' );

			/**
			 * Hook: woocommerce_sidebar.
			 *
			 * @hooked woocommerce_get_sidebar - 10
			 */
			do_action( 'woocommerce_sidebar' );
			?>
			</div>
			<?php if ( is_active_sidebar( 'sidebar-5' ) ) { ?>
			<div class="col-lg-4 clo-md-12 mb-30 <?php echo sanitize_html_class($renax_sidebar_class);?>">
                <div class="<?php if (Renax_AfterSetupTheme::return_thme_option('shopwidstyle')=='st2'){ ?>sidebar-list rx-fancy-style-widget<?php } else { ?>blog2-sidebar <?php } ;?>">
                    <?php dynamic_sidebar( 'sidebar-5' ); ?> 
                </div>
            </div>
			<?php } ;?>
		</div>
	</div>
</section>
<?php
get_footer( 'shop' );
