<?php
/**
 * The template for displaying product content within loops
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.6.0
 */

defined( 'ABSPATH' ) || exit;

global $product;

// Ensure visibility.
if ( empty( $product ) || ! $product->is_visible() ) {
	return;
}
?>
<li <?php wc_product_class( 'isotope-item mb-05', $product ); ?>>
	<div class="item">
	<?php
	/**
	 * Hook: woocommerce_before_shop_loop_item.
	 *
	 * @hooked woocommerce_template_loop_product_link_open - 10
	 */
	do_action( 'woocommerce_before_shop_loop_item' );
	?>
		<figure class="position-re-order-car-list o-hidden">
			<div class="cd-pt-ab">
		<?php
		/**
		 * Hook: woocommerce_before_shop_loop_item_title.
		 *
		 * @hooked woocommerce_show_product_loop_sale_flash - 10
		 * @hooked woocommerce_template_loop_product_thumbnail - 10
		 */
		do_action( 'woocommerce_before_shop_loop_item_title' );
		?>
			</div>
		</figure>
		<div class="content">
			<div class="cont">
				<?php
				/**
				 * Hook: woocommerce_shop_loop_item_title.
				 *
				 * @hooked woocommerce_template_loop_product_title - 10
				 */
				do_action( 'woocommerce_shop_loop_item_title' );
				?>
				<h4 class="rn-woo-pro-title"><a href="<?php the_permalink();?>"><?php the_title();?></a></h4>
				<?php if(get_post_meta($post->ID,'renax_opt_car_facilities',true)=='st2'){ ?>
				<?php
				if( function_exists( 'rwmb_meta' ) ) {
				$renax_fc_opts = rwmb_meta( 'renax_car_facilities' );
				if ( ! empty( $renax_fc_opts ) ) {
				foreach ( $renax_fc_opts as $renax_fc_opt ) { ;?>
				<?php $renax_icon = isset( $renax_fc_opt['renax_car_data_icon'] ) ? $renax_fc_opt['renax_car_data_icon'] : ''; ?>
				<?php $renax_title = isset( $renax_fc_opt['renax_car_data_title'] ) ? $renax_fc_opt['renax_car_data_title'] : ''; ?>
				<?php $renax_con = isset( $renax_fc_opt['renax_car_data_con'] ) ? $renax_fc_opt['renax_car_data_con'] : ''; ?>
				<?php if ( !empty( $renax_title ) ) { ?>
				<div class="features">
				<span>
				<?php if ( !empty( $renax_icon ) ) { ?>
				<i class="<?php echo esc_attr($renax_icon);?>"></i>
				<?php } ;?>										
				<?php echo esc_attr($renax_title);?></span>
				<p><?php echo esc_html($renax_con);?></p>
				</div>
				<?php } } } };?>
				<?php } ;?>
				<div class="book mt-30">
				<?php
				/**
				 * Hook: woocommerce_after_shop_loop_item_title.
				 *
				 * @hooked woocommerce_template_loop_rating - 5
				 * @hooked woocommerce_template_loop_price - 10
				 */
				do_action( 'woocommerce_after_shop_loop_item_title' );

				/**
				 * Hook: woocommerce_after_shop_loop_item.
				 *
				 * @hooked woocommerce_template_loop_product_link_close - 5
				 * @hooked woocommerce_template_loop_add_to_cart - 10
				 */
				do_action( 'woocommerce_after_shop_loop_item' );
				?>
				</div>
			</div>
		</div>
	</div>
</li>
