<?php
/**
 * The template for displaying product content in the single-product.php template
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/content-single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 3.6.0
 */

defined( 'ABSPATH' ) || exit;

global $product;


if ( post_password_required() ) {
	echo get_the_password_form(); // WPCS: XSS ok.
	return;
}
?>
<?php if ( is_active_sidebar( 'sidebar-6' ) ) : ?>
<?php $renax_shop = "col-lg-8 clo-md-12";?>
<?php else : ?>
<?php $renax_shop = "col-md-12";?>
<?php endif;?>
<?php 
global $renax_sidebar_class, $renax_content_class;
if (Renax_AfterSetupTheme::return_thme_option('shopstyle')=='st1'){
$renax_sidebar_class='order-md-first';
$renax_content_class='order-md-last';
};?>
<?php if(get_post_meta($post->ID,'renax_page_header_opt',true)=='st2'){ ?> 
	<?php get_template_part('template-parts/header/rev_slider');?>
<?php }
else if(get_post_meta($post->ID,'renax_page_header_opt',true)=='st3'){ ?> 
<?php }
else  { ?>
	<?php get_template_part('template-parts/header/default');?>
<?php };?>
<?php if(get_post_meta($post->ID,'renax_opt_product_dt_style',true)=='st2'){ ?>
<section class="section-padding rn-pro-details-wrapper <?php if (Renax_AfterSetupTheme::return_thme_option('shopwidstyle')=='st2'){ ?>cars2<?php } ;?>" data-scroll-index="1">
    <div class="container">
	<?php
	/**
	 * Hook: woocommerce_before_single_product.
	 *
	 * @hooked woocommerce_output_all_notices - 10
	 */
	do_action( 'woocommerce_before_single_product' );
	?>
		<div id="product-<?php the_ID(); ?>" <?php wc_product_class( 'row', $product ); ?>>
			<div class="<?php echo esc_attr($renax_shop);?> <?php echo sanitize_html_class($renax_content_class);?>">
				<div class="row">
					<div class="col-md-12 rn-woo-img-sec">
					<?php
					/**
					 * Hook: woocommerce_before_single_product_summary.
					 *
					 * @hooked woocommerce_show_product_sale_flash - 10
					 * @hooked woocommerce_show_product_images - 20
					 */
					do_action( 'woocommerce_before_single_product_summary' );
					?>
					</div>
					<div class="mt-30 summary- entry-summary- col-md-12 ">
						<?php
						/**
						 * Hook: woocommerce_single_product_summary.
						 *
						 * @hooked woocommerce_template_single_title - 5
						 * @hooked woocommerce_template_single_rating - 10
						 * @hooked woocommerce_template_single_price - 10
						 * @hooked woocommerce_template_single_excerpt - 20
						 * @hooked woocommerce_template_single_add_to_cart - 30
						 * @hooked woocommerce_template_single_meta - 40
						 * @hooked woocommerce_template_single_sharing - 50
						 * @hooked WC_Structured_Data::generate_product_data() - 60
						 */
						do_action( 'woocommerce_single_product_summary' );
						?>
					</div>
					<div class="clear"></div>
					<div class="faqs pt-60 pb-60">
					<?php
					/**
					 * Hook: woocommerce_after_single_product_summary.
					 *
					 * @hooked woocommerce_output_product_data_tabs - 10
					 * @hooked woocommerce_upsell_display - 15
					 * @hooked woocommerce_output_related_products - 20
					 */
					do_action( 'woocommerce_after_single_product_summary' );
					?>
					</div>
				</div>
			</div>
			<?php if ( is_active_sidebar( 'sidebar-6' ) ) { ?>
				<div class="col-lg-4 clo-md-12 mb-30 <?php echo sanitize_html_class($renax_sidebar_class);?>">
                <div class="<?php if (Renax_AfterSetupTheme::return_thme_option('shopwidstyle')=='st2'){ ?>sidebar-list rx-fancy-style-widget<?php } else { ?>blog2-sidebar <?php } ;?>">
                    <?php dynamic_sidebar( 'sidebar-6' ); ?> 
                </div>
            </div>
			<?php } ;?>
		</div>
	</div>
</section> 
<?php } else if(get_post_meta($post->ID,'renax_opt_product_dt_style',true)=='st3'){ ?> 
<?php the_content();?>
<?php } else if(get_post_meta($post->ID,'renax_opt_product_dt_style',true)=='st4'){ ?>
<section class="section-padding cars2 rn-pro-details-wrapper" data-scroll-index="1">
    <div class="container">
		<div class="row">
			<div class="col-lg-8 col-md-12">
				<?php
				/**
				 * Hook: woocommerce_before_single_product.
				 *
				 * @hooked woocommerce_output_all_notices - 10
				 */
				do_action( 'woocommerce_before_single_product' );
				?>
				<?php the_content();?>
			</div>
			<div class="col-lg-4 col-md-12 car-details rn-woo-dt-page">
				<div class="sidebar-car">
                    <div class="title pt-pro-dt-chekout pt-pro-dt-chekout-price">
                        <h4>
						<?php
						/**
						* Hook: renax_woocommerce_single_product_price.
						*
						* @hooked woocommerce_template_single_price - 30
						*/
						do_action( 'renax_woocommerce_single_product_price' );
						?>
						<span class="pt-price-info"><?php if(!empty(Renax_AfterSetupTheme::return_thme_option('opt_form_translet_7',''))) { ?><?php echo esc_html(Renax_AfterSetupTheme::return_thme_option('opt_form_translet_7',''));?><?php } else { ?><?php esc_html_e(' / rent per day','renax');?><?php } ;?></span></h4>
                    </div>
                    <div class="item pt-pro-dt-chekout pt-pro-dt-chekout-widget">
                       <?php
						/**
						* Hook: renax_woocommerce_single_product_summary.
						*
						* @hooked woocommerce_template_single_add_to_cart - 30
						*/
						do_action( 'renax_woocommerce_single_product_summary' );
						?>    
                    </div>
                </div>
			</div>
		</div>	
	</div>	
</section>	
<?php } else { ?>
<section class="section-padding " data-scroll-index="1">
    <div class="container">
		<?php
		/**
		 * Hook: woocommerce_before_single_product.
		 *
		 * @hooked woocommerce_output_all_notices - 10
		 */
		do_action( 'woocommerce_before_single_product' );
		?>
		<div id="product-<?php the_ID(); ?>" <?php wc_product_class( 'row', $product ); ?>>
			<div class="col-md-7 rn-woo-img-sec">
			<?php
			/**
			 * Hook: woocommerce_before_single_product_summary.
			 *
			 * @hooked woocommerce_show_product_sale_flash - 10
			 * @hooked woocommerce_show_product_images - 20
			 */
			do_action( 'woocommerce_before_single_product_summary' );
			?>
			</div>
			<div class="summary- entry-summary- col-md-4 offset-md-1">
				<?php
				/**
				 * Hook: woocommerce_single_product_summary.
				 *
				 * @hooked woocommerce_template_single_title - 5
				 * @hooked woocommerce_template_single_rating - 10
				 * @hooked woocommerce_template_single_price - 10
				 * @hooked woocommerce_template_single_excerpt - 20
				 * @hooked woocommerce_template_single_add_to_cart - 30
				 * @hooked woocommerce_template_single_meta - 40
				 * @hooked woocommerce_template_single_sharing - 50
				 * @hooked WC_Structured_Data::generate_product_data() - 60
				 */
				do_action( 'woocommerce_single_product_summary' );
				?>
			</div>
			<div class="clear"></div>
			<div class="faqs pt-60 pb-60">
			<?php
			/**
			 * Hook: woocommerce_after_single_product_summary.
			 *
			 * @hooked woocommerce_output_product_data_tabs - 10
			 * @hooked woocommerce_upsell_display - 15
			 * @hooked woocommerce_output_related_products - 20
			 */
			do_action( 'woocommerce_after_single_product_summary' );
			?>
			</div>
		</div>
	</div>
</section>
<?php } ;?>
<?php do_action( 'woocommerce_after_single_product' ); ?>
