<?php
/**
 * Single Product Image
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product/product-image.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see     https://docs.woocommerce.com/document/template-structure/
 * @author  WooThemes
 * @package WooCommerce/Templates
 * @version 9.0.0
 */

defined('ABSPATH') || exit;

// Note: `wc_get_gallery_image_html` was added in WC 3.3.2 and did not exist prior. This check protects against theme overrides being used on older versions of WC.
if (!function_exists('wc_get_gallery_image_html')) {
    return;
}

global $product;

$post_thumbnail_id = $product->get_image_id();
$image  = wp_get_attachment_image($post_thumbnail_id, 'woocommerce_single', true,array( "class" => "attachment-shop_single size-shop_single wp-post-image img-fluid mx-auto d-block" ));


$wrapper_classes = apply_filters('woocommerce_single_product_image_gallery_classes', array(
    'fl-wrap',
    ' ' . (has_post_thumbnail() ? 'with-images' : 'without-images'),
    'images',

));

?>


<?php
 if (has_post_thumbnail()) {
 $attachment_ids = $product->get_gallery_image_ids();
 $lightbox_src = wc_get_product_attachment_props($post_thumbnail_id);
	if ($attachment_ids) { ?>
  
   <div class="owl-carousel owl-theme" <?php if ( is_rtl() ) { ?>data-rtl="true"<?php } else { ?>data-rtl="false"<?php } ;?> >
   <?php
    echo '<div class="img woocommerce-product-gallery__image">
	<div class="position-re-order-car-list position-re o-hidden">
        <a href="'.esc_url($lightbox_src['url']).'" title="" class="img-grayscale pt-po-lightbox img-zoom"><i class="fas fa-expand"></i></a>
		<div class="cd-pt-ab">
        ' . $image . '
		</div>
		</div>
        </div>';

    
        foreach ($attachment_ids as $attachment_id) {
             $thumbnail_image     = wp_get_attachment_image($attachment_id, '');
             $lightbox_src = wc_get_product_attachment_props($attachment_id);
            // fw_print($thumbnail_src);
              echo '<div class="img woocommerce-product-gallery__image"><div class="position-re-order-car-list position-re o-hidden">
				<a href="'.esc_url($lightbox_src['url']).'" title="" class="img-grayscale img-zoom pt-po-lightbox"><i class="fas fa-expand"></i></a>
				<div class="cd-pt-ab">' . $thumbnail_image . '</div>
			</div></div>';

        }
    
	do_action( 'woocommerce_product_thumbnails' );
    echo "</div>";
    
	}
	else {
	echo '<div class="gallery-item-inner"><div class="position-re-order-car-list position-re o-hidden"><a href="'.esc_url($lightbox_src['url']).'" title="" class="img-grayscale pt-po-lightbox img-zoom"><i class="fas fa-expand"></i></a>
		<div class="cd-pt-ab"> ' . $image . ' </div>
	</div>
	</div> ';
	}
	wp_enqueue_script('owl-carousel');
	wp_enqueue_script('renax-shop-slider');
} else {
    $html = '<div class="woocommerce-product-gallery__image--placeholder position-re-order-car-list position-re o-hidden">';
    $html .= sprintf('<div class="cd-pt-ab"><img src="%s" alt="%s" class="wp-post-image" /></div>', esc_url(wc_placeholder_img_src()), esc_html__('Awaiting product image', 'woocommerce'));
    $html .= '</div>';
}

//echo apply_filters('woocommerce_single_product_image_thumbnail_html', $html, $post_thumbnail_id);

?>



			